# Uses of Interface
com.clickhouse.jdbc.ClickHouseStatement

## Uses of ClickHouseStatement in com.clickhouse.jdbc

Fields in com.clickhouse.jdbc declared as ClickHouseStatement
Modifier and Type
Field
Description
`protected final ClickHouseStatement`
ClickHouseResultSet.`statement`
Deprecated.
Methods in com.clickhouse.jdbc that return ClickHouseStatement
Modifier and Type
Method
Description
`default ClickHouseStatement`
ClickHouseConnection.`createStatement()`
Deprecated.
`default ClickHouseStatement`
ClickHouseConnection.`createStatement(int resultSetType, int resultSetConcurrency)`
Deprecated.
`ClickHouseStatement`
ClickHouseConnection.`createStatement(int resultSetType, int resultSetConcurrency, int resultSetHoldability)`
Deprecated.
Constructors in com.clickhouse.jdbc with parameters of type ClickHouseStatement
Modifier
Constructor
Description
``
`ClickHouseResultSet(String database, String table, ClickHouseStatement statement, ClickHouseResponse response)`
Deprecated.
``
`ClickHouseScrollableResultSet(String database, String table, ClickHouseStatement statement, ClickHouseResponse response)`
Deprecated.